## org.eclipse.datatools.sqltools.debugger.core
Interface IControlConnectionExtension

All Known Implementing Classes:
  AbstractControlConnectionExtension

    public interface IControlConnectionExtension

This is an adapter interface. It is used for IControlConnection(s) that support auto attach. If auto attach is enabled, new connections will be automatically attached for debug.

Author:
  Yang Liu

Method Summary
`java.sql.Connection` `createConnection(boolean autoattach, java.lang.String[] connId)` Creates a new connection using same profile as this.
`boolean` `getAutoAttachEnabled()` Gets whether currently auto attach is enabled.
`void` `setAutoAttachEnabled(boolean b)` Enables/disables auto attach support.

Method Detail

### getAutoAttachEnabled

    boolean getAutoAttachEnabled()

  Gets whether currently auto attach is enabled.

  Returns:

### setAutoAttachEnabled

    void setAutoAttachEnabled(boolean b)

  Enables/disables auto attach support.

  Parameters:
    `b` -

### createConnection

    java.sql.Connection createConnection(boolean autoattach,
                                         java.lang.String[] connId)
                                         throws java.sql.SQLException,
                                                org.eclipse.core.runtime.CoreException,
                                                org.eclipse.datatools.sqltools.core.profile.NoSuchProfileException

  Creates a new connection using same profile as this. If can't get connection id, may put 0 as the connection id.

  Parameters:
    `autoattach` - if true and auto attach enabled for this, then will also auto attach the new connection. if false, then will skip the connection.
    `connId` - return the new connection's connection id. If null, means don't care.
  Returns:
  Throws:
    `java.sql.SQLException`
    `org.eclipse.core.runtime.CoreException`
    `org.eclipse.datatools.sqltools.core.profile.NoSuchProfileException`